# RakNet::SerializationContext Struct Reference
[ReplicaManager2]

Contextual information about serialization, passed to some functions in Replica2. More...

`#include <ReplicaManager2.h>`

List of all members.

## Static Public Member Functions
static bool | IsSerializationCommand (SerializationType r)
| General category of serialization.
static bool | IsDownloadCommand (SerializationType r)
| General category of serialization.
static bool | IsDestructionCommand (SerializationType r)
| General category of serialization.
static bool | IsConstructionCommand (SerializationType r)
| General category of serialization.
static bool | IsVisibilityCommand (SerializationType r)
| General category of serialization.
static bool | IsVisible (SerializationType r)
| General category of serialization.
## Public Attributes
SystemAddress | relaySourceAddress
| The system that sent the message to us.
SystemAddress | recipientAddress
| The system that we are sending to.
RakNetTime | timestamp
| Timestamp to send with the message. 0 means undefined. Set to non-zero to actually transmit using ID_TIMESTAMP.
SerializationType | serializationType
| What type of serialization was performed.

## Detailed Description

Contextual information about serialization, passed to some functions in Replica2.

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/Source/ReplicaManager2.h